#ifndef CAN_MOTOTRS_ERRORS
#define CAN_MOTOTRS_ERRORS

/* Error codes */
#define M_canMotorsLib               635
#define S_canMotorsLib_NO_MEMORY     (M_canMotorsLib << 16 | 0)
#define S_canMotorsLib_MOTOR_FAILURE (M_canMotorsLib << 16 | 1)

/* static H2_ERROR[] */
#define CANMOTORS_H2_ERR_MSGS {\
    {"NO_MEMORY", (S_canMotorsLib_NO_MEMORY & 0xffff)},	   \
    {"MOTOR_FAILURE", (S_canMotorsLib_MOTOR_FAILURE & 0xffff)} \
}

#endif
